My Mac OS X version 10.4.11 will this mouse work with this computer?

Apple Magic Mouse

Back To Product

Follow this Question

4 Answers from the Community

  • Best Answer:

    No it will not.
    >> Mac OS X v10.5.8 or later with Wireless Mouse Software Update 1.0* or Mac OS X v10.6.1 or later with Wireless Mouse Software Update 1.0

    Was this useful? Answer 1

    7 of 8 people found this useful

  • This mouse will not work with your computer unless you update it to either Leopard or Snow Leopard.

    Was this useful? Answer 2

    2 of 2 people found this useful

  • No, this will only work with 10.5.8 and higher.

    Was this useful? Answer 3

    2 of 3 people found this useful

  • According to the system requirements listed, no. You will need 10.5.8.

    Was this useful? Answer 4

    1 of 2 people found this useful

Related Questions